<template>
  <section>
    <div class="container">
      <span> {{ users }}</span>
    </div>

    <div v-for="ride in rides">

      <p> {{ride.location_from}}</p>
      <p> {{ride.user.first_name}} <i class="fa fa-bath"></i> </p>
      <p> <a :href="'/dashboardadmin/users/' + ride.user.id + '/edit'"> View  </a></p>

    </div>
  </section>
</template>

<script>
    export default {
        name: "dashboard",
        props:['users', 'latest'],
        mounted(){
            console.log(this.users);
            console.log(this.rides);
            this.testMethod();
        },
        data(){
            return{
                rides:JSON.parse(this.latest),
            }
        },
        methods:{
            testMethod:function(){

                console.log('We are working');
            }
        }
    }
</script>

<style scoped>

</style>